/v1/workspaces/{workspace_id}/configs/{config_id}/compareAuthCompare environments
Each setting's value and targeting side by side in 2-5 environments, with `differs` per setting.
Path parameters
config_id*string · uuidId of the config.
workspace_id*string · uuidId of the workspace.
Query parameters
cursorstringOpaque cursor for pagination: the `next_cursor` of the previous page.
limitintegerPage size.
environment_ids*stringComma-separated environment ids of the config's project, 2-5 of them.
Response · 200 A page of settings compared.
environments*arrayThe compared environments, in request order.
data*arrayOne row per setting, in `ordinal` order.
pagination*objectThe cursor for the next page.
Example
Request
GET https://api.flags.productcraft.co/v1/workspaces/{workspace_id}/configs/{config_id}/compare
Authorization: Bearer YOUR_TOKENResponse
{
"environments": [
{
"id": "00000000-0000-0000-0000-000000000000",
"key": "production",
"name": "Production"
}
],
"data": [
{
"setting": {},
"values": [
{
"setting_id": "00000000-0000-0000-0000-000000000000",
"environment_id": "00000000-0000-0000-0000-000000000000",
"environment_key": "production",
"value": false,
"rules": [
null
],
"percentages": [
null
],
"percentage_attribute": null,
"version": 3,
"updated_by": {},
"updated_at": "2026-01-01T00:00:00.000Z"
}
],
"differs": true
}
],
"pagination": {}
}